﻿using Syncfusion.OCRProcessor;
using Syncfusion.Pdf;
using Syncfusion.Pdf.Graphics;
using Syncfusion.Pdf.Parsing;
using Syncfusion.Pdf.Security;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading;
using System.Threading.Tasks;

namespace ConsoleApplication1
{
    class Program
    {
        public static string DataPathBase
        {
            get
            {

                return System.Environment.CurrentDirectory + @"\..\..\Data\";

            }
        }
        public static string DataPathOutput
        {
            get
            {
                if (!System.IO.Directory.Exists(System.Environment.CurrentDirectory + @"\..\..\Output\"))
                    System.IO.Directory.CreateDirectory(System.Environment.CurrentDirectory + @"\..\..\Output\");
                return System.Environment.CurrentDirectory + @"\..\..\Output\";
            }
        }
        static void Main(string[] args)
        {
            //Initialize the OCR processor by providing the path of tesseract binaries(SyncfusionTesseract.dll and liblept168.dll)

            using (OCRProcessor processor = new OCRProcessor("../../TesseractBinaries/3.02/"))

            {

                //Load a PDF document

                PdfLoadedDocument lDoc = new PdfLoadedDocument(DataPathBase+"input.pdf");

                //Set OCR language to process

                processor.Settings.Language = Languages.English;

                //Process OCR by providing the PDF document and Tesseract data

                processor.PerformOCR(lDoc, @"../../TessData/");

                //Save the OCR processed PDF document in the disk

                lDoc.Save(DataPathOutput+"Sample.pdf");

                lDoc.Close(true);

            }
            System.Diagnostics.Process.Start(System.IO.Path.Combine(DataPathOutput, "Sample.pdf"));


        }

       
    }
}

